%define qtver   4.8
%define py3verflags %(python3 -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")
%define pyname     PySide
%define tarname    pyside

Name:           pyside
Version:        1.2.2
Release:        %mkrel 1
License:        LGPLv2+
Summary:        The PySide project provides LGPL-licensed Python bindings for the Qt
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        http://download.qt-project.org/official_releases/pyside/%{tarname}-qt%{qtver}+%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  phonon-devel
BuildRequires:  shiboken-devel >= 1.2.0
BuildRequires:  python-devel
Requires:       pyside-phonon
Requires:       pyside-core
Requires:       pyside-declarative
Requires:       pyside-gui
Requires:       pyside-help
Requires:       pyside-multimedia
Requires:       pyside-network
Requires:       pyside-opengl
Requires:       pyside-script
Requires:       pyside-scripttools
Requires:       pyside-sql
Requires:       pyside-test
Requires:       pyside-xmlpatterns
Requires:       pyside-xml
Requires:       pyside-uitools
Requires:       pyside-svg
Requires:       pyside-webkit

%description
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt itself.

%files

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}
Summary:        The PySide project provides LGPL-licensed Python3 bindings for the Qt
Group:          Development/KDE and Qt
BuildRequires:  python3-devel
BuildRequires:  python3-shiboken-devel
Requires:       python3-pyside-phonon
Requires:       python3-pyside-core
Requires:       python3-pyside-declarative
Requires:       python3-pyside-gui
Requires:       python3-pyside-help
Requires:       python3-pyside-multimedia
Requires:       python3-pyside-network
Requires:       python3-pyside-opengl
Requires:       python3-pyside-script
Requires:       python3-pyside-scripttools
Requires:       python3-pyside-sql
Requires:       python3-pyside-test
Requires:       python3-pyside-xmlpatterns
Requires:       python3-pyside-xml
Requires:       python3-pyside-uitools
Requires:       python3-pyside-svg
Requires:       python3-pyside-webkit

%description -n python3-pyside
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework. PySide Qt bindings allow both free
open source and proprietary software development and ultimately aim to support
all of the platforms as Qt itself. This is the Python3 version.

%files -n       python3-%{tarname}

#------------------------------------------------------------------------------

%package        phonon
Summary:        PySide phonon module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    phonon
PySide phonon module.

%files          phonon
%{py_platsitedir}/PySide/phonon.so
%{_datadir}/PySide/typesystems/typesystem_phonon.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-phonon
Summary:        PySide phonon module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-phonon
PySide phonon module. This is the Python3 version.

%files -n       python3-%{tarname}-phonon
%{python3_sitearch}/PySide/phonon.so
%{_datadir}/PySide/typesystems/typesystem_phonon.*

#------------------------------------------------------------------------------

%package        core
Summary:        PySide core module
Group:          Development/KDE and Qt

%description    core
PySide core module.

%files          core
%{py_platsitedir}/PySide/QtCore.so
%{py_platsitedir}/PySide/__init__.py*
%{py_platsitedir}/PySide/_utils.py*
%{_datadir}/PySide/typesystems/typesystem_core*
%{_datadir}/PySide/typesystems/typesystem_templates.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-core
Summary:        PySide core module
Group:          Development/KDE and Qt

%description -n python3-%{tarname}-core
PySide core module. This is the Python3 version.

%files -n        python3-%{tarname}-core
%{python3_sitearch}/PySide/QtCore.so
%{python3_sitearch}/PySide/__init__.py*
%{python3_sitearch}/PySide/_utils.py*
%{_datadir}/PySide/typesystems/typesystem_core*
%{_datadir}/PySide/typesystems/typesystem_templates.*
#%%{python3_sitearch}/PySide/__pycache__/

#------------------------------------------------------------------------------

%package        declarative
Summary:        PySide declarative module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    declarative
PySide declarative module.

%files          declarative
%{py_platsitedir}/PySide/QtDeclarative.so
%{_datadir}/PySide/typesystems/typesystem_declarative.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-declarative
Summary:        PySide declarative module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-declarative
PySide declarative module. This is the Python3 version.

%files -n       python3-%{tarname}-declarative
%{python3_sitearch}/PySide/QtDeclarative.so
%{_datadir}/PySide/typesystems/typesystem_declarative.*

#------------------------------------------------------------------------------

%package        gui
Summary:        PySide gui module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    gui
PySide gui module.

%files          gui
%{py_platsitedir}/PySide/QtGui.so
%{_datadir}/PySide/typesystems/typesystem_gui*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-gui
Summary:        PySide gui module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-gui
PySide gui module. This is the Python3 version.

%files -n       python3-%{tarname}-gui
%{python3_sitearch}/PySide/QtGui.so
%{_datadir}/PySide/typesystems/typesystem_gui*

#------------------------------------------------------------------------------

%package        help
Summary:        PySide help module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    help
PySide help module.

%files          help
%{py_platsitedir}/PySide/QtHelp.so
%{_datadir}/PySide/typesystems/typesystem_help.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-help
Summary:        PySide help module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-help
PySide help module. This is the Python3 version.

%files -n       python3-%{tarname}-help
%{python3_sitearch}/PySide/QtHelp.so
%{_datadir}/PySide/typesystems/typesystem_help.*

#------------------------------------------------------------------------------

%package        multimedia
Summary:        PySide multimedia module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    multimedia
PySide multimedia module.

%files          multimedia
%{py_platsitedir}/PySide/QtMultimedia.so
%{_datadir}/PySide/typesystems/typesystem_multimedia*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-multimedia
Summary:        PySide multimedia module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-multimedia
PySide multimedia module. This is the Python3 version.

%files -n       python3-%{tarname}-multimedia
%{python3_sitearch}/PySide/QtMultimedia.so
%{_datadir}/PySide/typesystems/typesystem_multimedia*

#------------------------------------------------------------------------------

%package        network
Summary:        PySide network module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    network
PySide network module.

%files          network
%{py_platsitedir}/PySide/QtNetwork.so
%{_datadir}/PySide/typesystems/typesystem_network.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-network
Summary:        PySide network module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-network
PySide network module. This is the Python3 version.

%files -n       python3-%{tarname}-network
%{python3_sitearch}/PySide/QtNetwork.so
%{_datadir}/PySide/typesystems/typesystem_network.*

#------------------------------------------------------------------------------

%package        opengl
Summary:        PySide opengl module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    opengl
PySide opengl module.

%files          opengl
%{py_platsitedir}/PySide/QtOpenGL.so
%{_datadir}/PySide/typesystems/typesystem_opengl*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-opengl
Summary:        PySide opengl module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-opengl
PySide opengl module. This is the Python3 version.

%files -n       python3-%{tarname}-opengl
%{python3_sitearch}/PySide/QtOpenGL.so
%{_datadir}/PySide/typesystems/typesystem_opengl*

#------------------------------------------------------------------------------

%package        script
Summary:        PySide script module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    script
PySide script module.

%files          script
%{py_platsitedir}/PySide/QtScript.so
%{_datadir}/PySide/typesystems/typesystem_script.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-script
Summary:        PySide script module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-script
PySide script module. This is the Python3 version.

%files -n       python3-%{tarname}-script
%{python3_sitearch}/PySide/QtScript.so
%{_datadir}/PySide/typesystems/typesystem_script.*

#------------------------------------------------------------------------------

%package        scripttools
Summary:        PySide scripttool module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    scripttools
PySide scripttool module.

%files          scripttools
%{py_platsitedir}/PySide/QtScriptTools.so
%{_datadir}/PySide/typesystems/typesystem_scripttools.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-scripttools
Summary:        PySide scripttool module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-scripttools
PySide scripttool module. This is the Python3 version.

%files -n       python3-%{tarname}-scripttools
%{python3_sitearch}/PySide/QtScriptTools.so
%{_datadir}/PySide/typesystems/typesystem_scripttools.*

#------------------------------------------------------------------------------

%package        sql
Summary:        PySide sql module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    sql
PySide sql module.

%files          sql
%{py_platsitedir}/PySide/QtSql.so
%{_datadir}/PySide/typesystems/typesystem_sql.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-sql
Summary:        PySide sql module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-sql
PySide sql module. This is the Python3 version.

%files -n       python3-%{tarname}-sql
%{python3_sitearch}/PySide/QtSql.so
%{_datadir}/PySide/typesystems/typesystem_sql.*

#------------------------------------------------------------------------------

%package        svg
Summary:        PySide svg module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    svg
PySide svg module.

%files          svg
%{py_platsitedir}/PySide/QtSvg.so
%{_datadir}/PySide/typesystems/typesystem_svg.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-svg
Summary:        PySide svg module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-svg
PySide svg module. This is the Python3 version.

%files -n       python3-%{tarname}-svg
%{python3_sitearch}/PySide/QtSvg.so
%{_datadir}/PySide/typesystems/typesystem_svg.*

#------------------------------------------------------------------------------

%package        test
Summary:        PySide test module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    test
PySide test module.

%files          test
%{py_platsitedir}/PySide/QtTest.so
%{_datadir}/PySide/typesystems/typesystem_test.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-test
Summary:        PySide test module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-test
PySide test module. This is the Python3 version.

%files -n       python3-%{tarname}-test
%{python3_sitearch}/PySide/QtTest.so
%{_datadir}/PySide/typesystems/typesystem_test.*

#------------------------------------------------------------------------------

%package        uitools
Summary:        PySide uitools module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    uitools
PySide uitools module.

%files          uitools
%{py_platsitedir}/PySide/QtUiTools.so
%{_datadir}/PySide/typesystems/typesystem_uitools.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-uitools
Summary:        PySide uitools module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-uitools
PySide uitools module. This is the Python3 version.

%files -n       python3-%{tarname}-uitools
%{python3_sitearch}/PySide/QtUiTools.so
%{_datadir}/PySide/typesystems/typesystem_uitools.*

#------------------------------------------------------------------------------

%package        webkit
Summary:        PySide webkit module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    webkit
PySide webkit module.

%files          webkit
%{py_platsitedir}/PySide/QtWebKit.so
%{_datadir}/PySide/typesystems/typesystem_webkit*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-webkit
Summary:        PySide webkit module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-webkit
PySide webkit module. This is the Python3 version.

%files -n       python3-%{tarname}-webkit
%{python3_sitearch}/PySide/QtWebKit.so
%{_datadir}/PySide/typesystems/typesystem_webkit*

#------------------------------------------------------------------------------

%package        xmlpatterns
Summary:        PySide xmlpatterns module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    xmlpatterns
PySide xmlpatterns module.

%files          xmlpatterns
%{py_platsitedir}/PySide/QtXmlPatterns.so
%{_datadir}/PySide/typesystems/typesystem_xmlpatterns*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-xmlpatterns
Summary:        PySide xmlpatterns module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-xmlpatterns
PySide xmlpatterns module. This is the Python3 version.

%files -n       python3-%{tarname}-xmlpatterns
%{python3_sitearch}/PySide/QtXmlPatterns.so
%{_datadir}/PySide/typesystems/typesystem_xmlpatterns*

#------------------------------------------------------------------------------

%package        xml
Summary:        PySide xml module
Group:          Development/KDE and Qt
Requires:       pyside-core = %{version}

%description    xml
PySide xml module.

%files          xml
%{py_platsitedir}/PySide/QtXml.so
%{_datadir}/PySide/typesystems/typesystem_xml.*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-xml
Summary:        PySide xml module
Group:          Development/KDE and Qt
Requires:       python3-%{tarname}-core = %{version}

%description -n python3-%{tarname}-xml
PySide xml module. This is the Python3 version.

%files -n       python3-%{tarname}-xml
%{python3_sitearch}/PySide/QtXml.so
%{_datadir}/PySide/typesystems/typesystem_xml.*

#------------------------------------------------------------------------------

%define major   1
%define libname %mklibname pyside %{major}

%package -n     %{libname}
Summary:        PySide core library
Group:          Development/KDE and Qt
Obsoletes:      %{_lib}pysidebase0 < 0.4.0

%description -n %{libname}
PySide core library.

%files -n       %{libname}
%{_libdir}/libpyside-python%{py_ver}.so.%{major}*

#------------------------------------------------------------------------------

%define py3libname %mklibname python3-%{tarname} %{major}

%package -n     %{py3libname}
Summary:        PySide core library
Group:          Development/KDE and Qt

%description -n %{py3libname}
PySide core library. This is the Python3 version.

%files -n       %{py3libname}
%{_libdir}/libpyside.%{py3verflags}.so.%{major}*

#------------------------------------------------------------------------------

%package        devel
Summary:        PySide devel files
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libname} = %{version}

%description    devel
PySide devel files.

%files          devel
%{_libdir}/libpyside-python%{py_ver}.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config.%{py3verflags}.cmake 
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%package -n     python3-%{tarname}-devel
Summary:        PySide devel files
Group:          Development/KDE and Qt
Requires:       python3-%{tarname} = %{version}
Requires:       %{py3libname} = %{version}

%description -n python3-%{tarname}-devel
PySide devel files. This is the Python3 version.

%files -n       python3-%{tarname}-devel
%{_libdir}/libpyside.%{py3verflags}.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%exclude %{_libdir}/cmake/%{pyname}-%{version}/%{pyname}Config-python%{py_ver}.cmake
%{_libdir}/cmake/*

#------------------------------------------------------------------------------

%prep
%setup -qn %name-qt%{qtver}+%{version}
cp -a . %{py3dir}

%build
%define Werror_cflags %nil
pushd %{py3dir}
%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon \
        -DPYTHON_SUFFIX=.%{py3verflags} \
        -DPYTHON_EXECUTABLE=%{__python3}
%make
popd

%cmake \
        -DQT_SRC_DIR=%{buildroot}%{qt4dir} \
        -DQT_PHONON_INCLUDE_DIR=%{_includedir}/phonon
%make

%install
pushd %{py3dir}
%makeinstall_std -C build
popd

%makeinstall_std -C build


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-7.mga5
+ Revision: 749853
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.2-6.mga5
+ Revision: 728009
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 687866
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 philippem <philippem> 1.2.2-4.mga5
+ Revision: 675132
- add missing requires

* Sat May 31 2014 pterjan <pterjan> 1.2.2-3.mga5
+ Revision: 629714
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.2.2-2.mga5
+ Revision: 628439
- Rebuild for new Python

* Wed May 14 2014 fwang <fwang> 1.2.2-1.mga5
+ Revision: 622689
- 1.2.2

* Sun Apr 20 2014 philippem <philippem> 1.2.1-4.mga5
+ Revision: 617194
- add Python3

* Mon Oct 21 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 541094
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 1.2.1-2.mga4
+ Revision: 495086
- update file list

* Thu Aug 29 2013 fwang <fwang> 1.2.1-1.mga4
+ Revision: 472834
- new version 1.2.1

* Mon Jul 15 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 454693
- update file list
- new version 1.2.0

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 378423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 fwang <fwang> 1.1.2-1.mga3
+ Revision: 286926
- new version 1.1.2

* Wed Jul 18 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 272274
- there is no generatorrunner now

* Sun Jun 03 2012 fwang <fwang> 1.1.1-1.mga3
+ Revision: 253517
- new version 1.1.1

* Sat Jan 07 2012 fwang <fwang> 1.1.0-1.mga2
+ Revision: 192848
- update file list
- new version 1.1.0

* Sun Dec 18 2011 fwang <fwang> 1.0.9-2.mga2
+ Revision: 183604
- br qtwebkit

* Tue Dec 06 2011 fwang <fwang> 1.0.9-1.mga2
+ Revision: 177240
- new version 1.0.9

* Tue Oct 25 2011 fwang <fwang> 1.0.8-1.mga2
+ Revision: 157960
- new version 1.0.8

* Sun Sep 25 2011 fwang <fwang> 1.0.7-1.mga2
+ Revision: 147682
- new version 1.0.7
- new version 1.0.6
- new version 1.0.5

* Mon Jun 27 2011 fwang <fwang> 1.0.4-1.mga2
+ Revision: 114475
- new version 1.0.4

* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76201
- rebuild for bug #497

* Sat Mar 05 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 65035
- Remove BuildRoot
- imported package pyside

